
Katello - Bug #27743

PG::InFailedSqlTransaction during content view publish

08/30/2019 01:07 PM - roman plevka

Status: Need more information   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello Backlog   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: Katello 3.14.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Our katello-nightly automation hit this on content view publishing in one of the tests.

whole traceback from the production.log

https://pastebin.com/56vS6Ygf

- I can provide more logs on demand.

This is not 100% reproducible, but this specific test failed with exactly the same issue 2 times in the last 10 runs

History

#1 - 09/04/2019 05:58 PM - Ian Ballou

Trace:

2019-08-29T19:56:04 [I|bac|] Task {label: Actions::RemoteExecution::RunHostJob, id: d069530e-47e2-4931-8709-1cd3ab329d2f, execution_plan_id:

78ab9ac9-5272-41f6-a516-3cc0a7e2335c} state changed: planning

2019-08-29T19:56:04 [I|aud|] PuppetclassLookupKey (247) create event on key generic_1_scp_200

2019-08-29T19:56:04 [I|aud|] PuppetclassLookupKey (247) create event on puppetclass_id

2019-08-29T19:56:04 [I|aud|] PuppetclassLookupKey (247) create event on default_value Bee5sah3Fu

2019-08-29T19:56:04 [I|aud|] PuppetclassLookupKey (247) create event on path

2019-08-29T19:56:04 [I|aud|] PuppetclassLookupKey (247) create event on description

2019-08-29T19:56:04 [I|aud|] PuppetclassLookupKey (247) create event on validator_type

2019-08-29T19:56:04 [I|aud|] PuppetclassLookupKey (247) create event on validator_rule

2019-08-29T19:56:04 [I|aud|] PuppetclassLookupKey (247) create event on key_type string

2019-08-29T19:56:04 [I|aud|] PuppetclassLookupKey (247) create event on override false

2019-08-29T19:56:04 [I|aud|] PuppetclassLookupKey (247) create event on required false

2019-08-29T19:56:04 [I|aud|] PuppetclassLookupKey (247) create event on merge_overrides false

2019-08-29T19:56:04 [I|aud|] PuppetclassLookupKey (247) create event on avoid_duplicates false

2019-08-29T19:56:04 [I|aud|] PuppetclassLookupKey (247) create event on omit

2019-08-29T19:56:04 [I|aud|] PuppetclassLookupKey (247) create event on merge_default false

2019-08-29T19:56:04 [I|aud|] PuppetclassLookupKey (247) create event on hidden_value false

2019-08-29T19:56:04 [I|aud|] PuppetclassLookupKey (247) create event on ansible_role_id

2019-08-29T19:56:04 [I|aud|] PuppetclassLookupKey (247) create event on imported

2019-08-29T19:56:04 [W|app|] Failed to calculate obsolete and new

2019-08-29T19:56:04 [E|bac|] PG::InFailedSqlTransaction: ERROR:  current transaction is aborted, commands ignored until end of transaction block

: SELECT  "users".* FROM "users" WHERE "users"."id" = $1 LIMIT $2 (ActiveRecord::StatementInvalid)

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/postgresql_adapter.rb:614:in

`exec_prepared'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/postgresql_adapter.rb:614:in `block (2

levels) in exec_cache'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/dependencies/interlock.rb:48:in `block in

permit_concurrent_loads'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/concurrency/share_lock.rb:187:in `yield_shares'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/dependencies/interlock.rb:47:in `permit_concurrent_loads'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/postgresql_adapter.rb:613:in `block in

exec_cache'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract_adapter.rb:579:in `block (2

levels) in log'

/opt/rh/rh-ruby25/root/usr/share/ruby/monitor.rb:226:in `mon_synchronize'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract_adapter.rb:578:in `block in
log'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/notifications/instrumenter.rb:23:in `instrument'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract_adapter.rb:569:in `log'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/postgresql_adapter.rb:612:in

`exec_cache'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/postgresql_adapter.rb:592:in

`execute_and_clear'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/postgresql/database_statements.rb:81:

in `exec_query'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/database_statements.rb:469:i

n `select_prepared'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/database_statements.rb:55:in

`select_all'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/query_cache.rb:101:in

`select_all'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/querying.rb:41:in `find_by_sql'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/relation.rb:554:in `block in exec_queries'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/relation.rb:578:in `skip_query_cache_if_necessary'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/relation.rb:541:in `exec_queries'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/relation.rb:414:in `load'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/relation.rb:200:in `records'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/relation/finder_methods.rb:500:in `find_take'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/relation/finder_methods.rb:103:in `take'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/relation/finder_methods.rb:450:in `find_one'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/relation/finder_methods.rb:431:in `find_with_ids'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/relation/finder_methods.rb:69:in `find'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.16.0/app/lib/actions/middleware/keep_current_user.rb:43:in `restore_curent_user'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.16.0/app/lib/actions/middleware/keep_current_user.rb:19:in `finalize'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.16.0/app/lib/actions/middleware/keep_current_taxonomies.rb:19:in `block in finalize'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.16.0/app/lib/actions/middleware/keep_current_taxonomies.rb:45:in

`restore_current_taxonomies'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.16.0/app/lib/actions/middleware/keep_current_taxonomies.rb:19:in `finalize'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:39:in `finalize'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/world.rb:30:in `execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/action.rb:558:in `block in execute_finalize'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/action.rb:450:in `block in with_error_handling'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/action.rb:450:in `catch'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/action.rb:450:in `with_error_handling'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/action.rb:557:in `execute_finalize'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/action.rb:277:in `execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:17:in `block (2 levels) in execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/execution_plan/steps/abstract.rb:162:in `with_meta_calculation'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:16:in `block in execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:30:in `open_action'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:15:in `execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/director/sequential_manager.rb:68:in `run_step'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/director/sequential_manager.rb:53:in `dispatch'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/director/sequential_manager.rb:60:in `block in run_in_sequence'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/director/sequential_manager.rb:60:in `each'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/director/sequential_manager.rb:60:in `all?'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/director/sequential_manager.rb:60:in `run_in_sequence'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/director/sequential_manager.rb:49:in `dispatch'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/director/sequential_manager.rb:27:in `block in finalize'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:47:in `finalize_phase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:47:in `finalize_phase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:47:in `finalize_phase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:47:in `finalize_phase'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:47:in `finalize_phase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:47:in `finalize_phase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:47:in `finalize_phase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:47:in `finalize_phase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:47:in `finalize_phase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:47:in `finalize_phase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:47:in `finalize_phase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/common/transaction.rb:16:in `block in rollback_on_error'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/database_statements.rb:254:i

n `block in transaction'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/transaction.rb:239:in `block in

within_new_transaction'

/opt/rh/rh-ruby25/root/usr/share/ruby/monitor.rb:226:in `mon_synchronize'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/transaction.rb:236:in

`within_new_transaction'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/abstract/database_statements.rb:254:i

n `transaction'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:212:in `transaction'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/transaction_adapters/active_record.rb:5:in `transaction'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/common/transaction.rb:15:in `rollback_on_error'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/common/transaction.rb:9:in `finalize_phase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/middleware/world.rb:30:in `execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/director/sequential_manager.rb:26:in `finalize'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/director.rb:67:in `execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/worker.rb:14:in `block in on_message'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors.rb:12:in `run_user_code'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/worker.rb:13:in `on_message'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/pool.rb:97:in `distribute_jobs'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/pool.rb:51:in `schedule_work'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:125:in `block in feed_pool'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:119:in `each'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:119:in `feed_pool'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:49:in `work_finished'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:109:in `on_message'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/pool.rb:56:in `worker_done'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/worker.rb:22:in `on_message'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/pool.rb:97:in `distribute_jobs'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/pool.rb:51:in `schedule_work'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:125:in `block in feed_pool'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:119:in `each'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:119:in `feed_pool'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:49:in `work_finished'

[ concurrent-ruby ]
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:109:in `on_message'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/pool.rb:56:in `worker_done'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/worker.rb:22:in `on_message'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/pool.rb:97:in `distribute_jobs'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/pool.rb:51:in `schedule_work'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:125:in `block in feed_pool'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:119:in `each'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:119:in `feed_pool'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:49:in `work_finished'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:109:in `on_message'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/pool.rb:56:in `worker_done'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/worker.rb:22:in `on_message'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/pool.rb:97:in `distribute_jobs'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/pool.rb:51:in `schedule_work'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:125:in `block in feed_pool'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:119:in `each'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:119:in `feed_pool'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:45:in `handle_event'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel/core.rb:109:in `on_message'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/executors/parallel.rb:29:in `event'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/dispatcher/executor_dispatcher.rb:53:in `perform_event'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/dispatcher/executor_dispatcher.rb:12:in `block in handle_request'

/opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matchers/abstract.rb:74:in `block in assigns'

/opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matchers/abstract.rb:73:in `tap'

/opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matchers/abstract.rb:73:in `assigns'

/opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:56:in `match_value'

/opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:36:in `block in match?'

/opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:35:in `each'

/opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:35:in `match?'

/opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:23:in `match'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/dispatcher/executor_dispatcher.rb:10:in `handle_request'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/connectors/abstract.rb:38:in `block in receive'

/opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matchers/abstract.rb:74:in `block in assigns'

/opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matchers/abstract.rb:73:in `tap'

/opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matchers/abstract.rb:73:in `assigns'

/opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:56:in `match_value'

/opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:36:in `block in match?'

/opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:35:in `each'

/opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:35:in `match?'

/opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:23:in `match'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/connectors/abstract.rb:32:in `receive'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/connectors/database.rb:91:in `handle_envelope'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/connectors/database.rb:172:in `send'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/dispatcher/client_dispatcher.rb:148:in `dispatch_request'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/dispatcher/client_dispatcher.rb:117:in `block (2 levels) in publish_request'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/dispatcher/client_dispatcher.rb:204:in `track_request'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/dispatcher/client_dispatcher.rb:116:in `block in publish_request'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/dispatcher/client_dispatcher.rb:246:in `with_ping_request_caching'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/dispatcher/client_dispatcher.rb:115:in `publish_request'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/world.rb:237:in `publish_request'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/world.rb:217:in `event'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/action/suspended.rb:12:in `event'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/action/suspended.rb:16:in `<<'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/clock.rb:36:in `apply'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/clock.rb:87:in `run_ready_timers'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/clock.rb:69:in `tick'

[ concurrent-ruby ]

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/clock.rb:125:in `block (2 levels) in sleeping'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/clock.rb:119:in `loop'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/clock.rb:119:in `block in sleeping'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/clock.rb:118:in `synchronize'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/clock.rb:118:in `sleeping'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.3.0/lib/dynflow/clock.rb:54:in `block in initialize'

[ concurrent-ruby ]

#2 - 09/04/2019 05:58 PM - Ian Ballou

- Target version set to Katello 3.14.0

- Triaged changed from No to Yes

#3 - 11/25/2019 02:51 PM - Justin Sherrill

- Status changed from New to Need more information

waiting on reproducer

#4 - 12/11/2019 07:05 PM - Jonathon Turel

- Target version deleted (Katello 3.14.0)

- Triaged changed from Yes to No

#5 - 12/18/2019 06:36 PM - Ian Ballou

- Target version set to Katello Backlog

- Triaged changed from No to Yes
